UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Set a field value in a message, referenced by an iterator, to an array field.

## Functions
LBMSDMExpDLL int | lbmsdm_iter_set_boolean_array (lbmsdm_iter_t *Iterator)
| Set a field in a message by field name to an array field. More...
LBMSDMExpDLL int | lbmsdm_iter_set_int8_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_uint8_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_int16_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_uint16_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_int32_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_uint32_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_int64_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_uint64_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_float_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_double_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_decimal_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_timestamp_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_message_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_string_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_unicode_array (lbmsdm_iter_t *Iterator)
LBMSDMExpDLL int | lbmsdm_iter_set_blob_array (lbmsdm_iter_t *Iterator)

## Detailed Description

The functions in this group allow the type of the field to be set to an array type, for a field referenced by an iterator.

## Function Documentation

LBMSDMExpDLL int lbmsdm_iter_set_blob_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_boolean_array | ( | lbmsdm_iter_t * | Iterator | ) |

Set a field in a message by field name to an array field.

Parameters

  Iterator | The iterator referencing the field.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_iter_set_decimal_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_double_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_float_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_int16_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_int32_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_int64_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_int8_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_message_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_string_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_timestamp_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_uint16_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_uint32_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_uint64_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_uint8_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_set_unicode_array | ( | lbmsdm_iter_t * | Iterator | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.